mjaex.blogg.se

Autocad lisp spiral from length and radius
Autocad lisp spiral from length and radius








  1. #Autocad lisp spiral from length and radius how to#
  2. #Autocad lisp spiral from length and radius full size#

You're sort of on target with your photo. Is this what you are trying to draw? Give up AutoCad and go right to Inventor.

autocad lisp spiral from length and radius

(setq vg (getdist "\nVertical growth per rotation: ")) (setq hg (getdist "\nHorizontal growth per rotation: ")) (setq sr (getdist bp "\nStarting radius: ")) (initget 7) sr must not be zero, neg, or null (defun C:3DSPIRAL (/ olderr ocmd oblp nt bp hg vg sr lp) (setq *error* olderr) Restore old *error* handler (setq lp (getint "\nPoints per rotation : ")) (setq cf (getdist "\nGrowth per rotation: ")) (setq nt (getint "\nNumber of rotations: ")) (initget 7) nt must not be zero, neg, or null (defun C:SPIRAL (/ olderr ocmd oblp nt bp cf lp) (setq tp (list (car tp) (cadr tp) (+ dv (caddr tp))) (setq tp (polar bpoint (setq ang (+ ang ainc)) I gave it a try and you can indeed Pedit a polyline in a 3D view to become a spline. How close that comes will also depend on how many segments you have.

autocad lisp spiral from length and radius

You might be able to turn the 3D Polyline into a spline using Pedit. I couldn't find anything other than 3Dpoly in LT help. It looks like you would have to have very short distances between your arrayed vertical lines to end up with a curved like surface? I don't suppose there is a corresponding 3Darc sort of command (which of course does not work). It seems though that this will create lines between the rising points as vs. What I didn't know about here was the "3Dpoly" command. I use the same method without the 3D aspect to lay out an arch top casing in a curved wall. Move or copy the vertical lines from the triangle to the end points of the lines around the arc.ĭo a 3DPolyline (3DPoly) to all of the top end points of the vertical lines around the arc. Trim off the tops of all the vertical lines with the angled line of the triangle.ĭo a 3D Orbit to get a convenient view of both the triangle and the arc. The distance between the lines will be the length of the horizontal line divided by the number of segments. Polar array that line around the center of the arc for the number of segments you want +1.Ĭhange you view to 3D Views – Front, or Vpoint 0,-1,0.ĭraw a horizontal line that is the length of your arc.ĭraw a vertical line at the end point of the horizontal line that is the height of yourĭraw a line from the opposite end point of the horizontal line to the top end point of the vertical line to form a triangle.Īrray the vertical line along the horizontal line for the same number of segments you used for the arc +1. You could do this manually, although that might be a bit of a pain:ĭo a List on your arc to find its length.ĭraw a line from the center of your arc to the endpoint of the arc. If so, can a line of LISP be embedded in a script? I wonder if a LISP command can be performed at the command line. That leaves only scripts which are just a sequence of command line commands. I am not familiar with LT, but I know that it does not normally have the capability to run LISP programs. You can via LISP or 3d Polyline or Helix commands. No I don't believe you can in AutoCAD LT. That is indeed what I want with the exception that I only need to go 3/4 of the way around one revolution of the coil. You can't do AutoLISP in AutoCAD LT either.

#Autocad lisp spiral from length and radius full size#

Can someone lend a hand?Ĭlick here for higher quality, full size image

autocad lisp spiral from length and radius

I'm sure it's pretty straight forward, I just haven't found the command procedure.

#Autocad lisp spiral from length and radius how to#

I've spent some time reading the help files but have not found info on how to do this. Once done it is that spiral line that I will use in the next step of this little project. I want to draw a spiral curve along the outer surface created by the 3" thickness of Arc "A", going from Point "A" to Point "B". Then I trimmed off 90 degrees oof each circle and added 3" of thickness to Arc "A". The lower one is Arc "A" and the upper is Arc "B" which is 3" above Arc "A". In the photo below you'll see that I've drawn two circles. I've done a little reading along the way on using the 3D features available in AutoCAD LT and am trying to get a bit of a handle on how it works.










Autocad lisp spiral from length and radius